Package org.apache.synapse.commons.throttle.core.impl.domainbase

## Class DomainBaseCallerContext

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.CallerContext
  - - org.apache.synapse.commons.throttle.core.impl.domainbase.DomainBaseCallerContext

- All Implemented Interfaces:
    `Serializable`, `Cloneable`

      public class DomainBaseCallerContext
      extends CallerContext
      implements Serializable

  Caller Context implementation for domain name based throttle type caller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DomainBaseCallerContext​(String ID)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getType()` | Gets type of throttle that this caller belong ex : ip/domain

    - ### Methods inherited from class org.apache.synapse.commons.throttle.core.CallerContext

      `canAccess, cleanUpCallers, clone, getFirstAccessTime, getGlobalCounter, getId, getLocalCounter, getLocalHits, getLocalQuota, getNextAccessTime, getNextTimeWindow, getRoleId, getUnitTime, getUuid, incrementGlobalCounter, incrementLocalCounter, incrementLocalHits, isThrottleParamSyncingModeSync, resetGlobalCounter, resetLocalCounter, setFirstAccessTime, setGlobalCounter, setIsThrottleParamSyncingModeSync, setLocalCounter, setLocalHits, setLocalQuota, setNextAccessTime, setNextTimeWindow, setRoleId, setUnitTime`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomainBaseCallerContext

          public DomainBaseCallerContext​(String ID)

  - ### Method Detail

    - #### getType

          public int getType()

      Description copied from class: `CallerContext`
      Gets type of throttle that this caller belong ex : ip/domain
      Specified by:
        `getType` in class `CallerContext`
      Returns:
        Returns the type of the throttle